usb_ep_free_request
Prev | Core Objects and Methods | Next

## Name

usb_ep_free_request — frees a request object

## Synopsis

`void usb_ep_free_request (` | struct usb_ep * | ep,
| struct usb_request * | req`)`;

## Arguments

`ep`

  the endpoint associated with the request

`req`

  the request being freed

## Description

Reverses the effect of `usb_ep_alloc_request`. Caller guarantees the request is not queued, and that it will no longer be requeued (or otherwise used).

Prev | Up | Next
usb_ep_alloc_request | Home | usb_ep_queue